# Documentation Index
  
  - [Install and Setup]({{ site.baseurl }}/docs/)
  - [Getting Started]({{ site.baseurl }}/docs/getting-started/)
  - [Understanding the Konf]({{ site.baseurl }}/docs/understanding-konf/)
  - [Understanding Templates]({{ site.baseurl }}/docs/understanding-templates/)
  - [Handling JavaScript]({{ site.baseurl }}/docs/handling-javascript/)
  - [Mobify.js in Production]({{ site.baseurl }}/docs/mobifyjs-in-production/)
  - [Going Responsive]({{ site.baseurl }}/docs/responsive/)
  - [Konf Reference]({{ site.baseurl }}/docs/konf-reference/)
    - [`$(selector)`]({{ site.baseurl }}/docs/konf-reference/#selector)
    - [`OUTPUTHTML`]({{ site.baseurl }}/docs/konf-reference/#outputhtml)
    - [`context.data`]({{ site.baseurl }}/docs/konf-reference/#contextdatakey)
    - [`context.tmpl`]({{ site.baseurl }}/docs/konf-reference/#contexttmpltemplate)
    - [`context.choose`]({{ site.baseurl }}/docs/konf-reference/#context-choose)
    - [Reserved Keys]({{ site.baseurl }}/docs/konf-reference/#reserved-keys)
    - [Best Practices]({{ site.baseurl }}/docs/konf-reference/#best-practices)
  - [Template Reference]({{ site.baseurl }}/docs/template-reference/)
    - [Reference]({{ site.baseurl }}/docs/template-reference/#template-reference)
      - [Best Practices]({{ site.baseurl }}/docs/template-reference/#best-practices)
      - [Understanding Context]({{ site.baseurl }}/docs/template-reference/#understanding-context)
      - [`{foo}` - Variables: Select &amp; Render A Single Variable]({{ site.baseurl }}/docs/template-reference/#foo---variables-select--render-a-single-variable)
      - [`{foo|bar}` - Variable Filters: Pass The Value `foo` Through Filter `bar`]({{ site.baseurl }}/docs/template-reference/#foobar---variable-filters-pass-the-value-foo-through-filter-bar)
      - [`{#foo} ... {/foo}` - Accessing Attributes Of, Or Descending Into The Variable `foo`]({{ site.baseurl }}/docs/template-reference/#foo--foo---accessing-attributes-of-or-descending-into-the-variable-foo)
      - [`{#foo} ... {.} ... {/foo}` - Iterate Over The Variable `foo`]({{ site.baseurl }}/docs/template-reference/#foo----foo---iterate-over-the-variable-foo)
      - [`{&gt;foo/}` - Include The Partial `foo` Inside The Current Template]({{ site.baseurl }}/docs/template-reference/#foo---include-the-partial-foo-inside-the-current-template)
      - [`{+bar} ... {/bar}` - Block Placeholders]({{ site.baseurl }}/docs/template-reference/#bar--bar---block-placeholders)
      - [`{&lt;bar} ... {/bar}` - Block Overrides]({{ site.baseurl }}/docs/template-reference/#bar--bar---block-overrides)
      - [`{?foo} ... {/foo}` - Conditional, Check For The Existence Of Variable `foo`]({{ site.baseurl }}/docs/template-reference/#foo--foo---conditional-check-for-the-existence-of-variable-foo)
      - [`{^foo} ... {/foo}` - Conditional, Check For The Non-existence Of Variable `foo`]({{ site.baseurl }}/docs/template-reference/#foo--foo---conditional-check-for-the-non-existence-of-variable-foo)
      - [`{{ '{%' }}script} ... {/script}` - Inline Script Pragma]({{ site.baseurl }}/docs/template-reference/#script--script---inline-script-pragma)
      - [`{! Comment !}` - Template Comments]({{ site.baseurl }}/docs/template-reference/#comment----template-comments)
    - [Best Practices]({{ site.baseurl }}/docs/template-reference/#best-practices)
      - [Template File Naming Conventions]({{ site.baseurl }}/docs/template-reference/#template-file-naming-conventions)
      - [Use A Base Template]({{ site.baseurl }}/docs/template-reference/#use-a-base-template)
      - [Prefix Introduced Styling Attributes With `x-`]({{ site.baseurl }}/docs/template-reference/#prefix-introduced-styling-attributes-with-x-)
  - [Matching to URLs]({{ site.baseurl }}/docs/matching-to-urls)
  - [Image Resizing]({{ site.baseurl }}/docs/image-resizing/)
  - [Jazzcat]({{ site.baseurl }}/docs/jazzcat/)
  - [Glossary]({{ site.baseurl }}/docs/glossary/)
  - [Appendix]({{ site.baseurl }}/docs/appendix/)
    - [Debugging]({{ site.baseurl }}/docs/appendix/#debugging)
      - [Tools]({{ site.baseurl }}/docs/appendix/#tools)
          - [Webkit Inspector]({{ site.baseurl }}/docs/appendix/#webkit-inspector)
          - [Firebug]({{ site.baseurl }}/docs/appendix/#firebug)
      - [Debugging the Konf]({{ site.baseurl }}/docs/appendix/#debugging-the-konf)
      - [Debugging Templates (Viewing source, inspecting rendered DOM)]({{ site.baseurl }}/docs/appendix/#debugging-templates-viewing-source-inspecting-rendered-dom)
    - [Common Issues]({{ site.baseurl }}/docs/appendix/#common-issues)
      - [Page is blank, doesn't render at all]({{ site.baseurl }}/docs/appendix/#page-is-blank-doesnt-render-at-all)
      - ["{some-key}" displayed on the page]({{ site.baseurl }}/docs/appendix/#some-key-displayed-on-the-page)
    - [Dust.js Documentation]({{ site.baseurl }}/docs/appendix/#dustjs-documentation)
        
